<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmReference10 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmReference10 Interface

Visual Basic
C#
C++/CLI

Allows you to enumerate referenced and referencing files and set up user-defined references.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmReference10
       Inherits IEdmReference5, IEdmReference6, IEdmReference7, IEdmReference8, IEdmReference9

C# |
--- | ---

    public interface IEdmReference10 : IEdmReference5, IEdmReference6, IEdmReference7, IEdmReference8, IEdmReference9

C++/CLI |
--- | ---

    public interface class IEdmReference10 : public IEdmReference5, IEdmReference6, IEdmReference7, IEdmReference8, IEdmReference9

# Example

Get File References for a File (VB.NET)
Get File References for a File (C#)

# Remarks

This interface:

- allows you to start an enumeration of child references for a specified project.
- inherits from IEdmReference9.

# See Also

####

IEdmReference10 Members
EPDM.Interop.epdm Namespace